Skip to main content
POST
/
v1
/
manifest
/
diff
Diff Manifest
curl --request POST \
  --url https://api.mixpeek.com/v1/manifest/diff \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form manifest_file='@example-file'
{
  "to_create": [
    {
      "resource_type": "<string>",
      "name": "<string>",
      "action": "<string>",
      "details": "<string>"
    }
  ],
  "in_system_only": [
    {
      "resource_type": "<string>",
      "name": "<string>",
      "action": "<string>",
      "details": "<string>"
    }
  ],
  "differences": [
    {
      "resource_type": "<string>",
      "name": "<string>",
      "action": "<string>",
      "details": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
manifest_file
file
required

YAML manifest file

Response

Successful Response

Result of comparing manifest to current state.

to_create
DiffItem · object[]

Resources in manifest but not in system

in_system_only
DiffItem · object[]

Resources in system but not in manifest

differences
DiffItem · object[]

Resources in both with differences